<?php
if(isset($_GET['del'])){
if($_GET['del']=='ok'){
mysql_query("UPDATE `kolhoz_user` SET `ava_file` = '0', `ava_mod` = '0' WHERE `id` = '$ku[id]'");
unlink("images/avatars/$ku[id].jpg");
unlink("images/avatars/$ku[id].gif");
unlink("images/avatars/$ku[id].png");
$_SESSION['msg']='Фотография удалена!';
header("Location:?photo");}else{
echo'<div class="event"><title>Подтверждение</title></div><div class="content"><div class="block"><ul class="block"><li><span class="title">Вы уверены?</span></li><li class="pt"><img alt="" width="16" height="16" src="images/icons/tick.png"> <a href="?photo&del=ok"><span>Да, подтверждаю</span></a></li><li><img alt="" width="16" height="16" src="images/icons/cross.png"> <a href="?photo"><span>Нет, отказываюсь</span></a></li></ul></div>';}
include_once 'inc/foot.php';}

if(isset($_FILES['file']) && $ku['аva_file']==0){
$type = $_FILES['file']['type'];
if($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
if($ku['rubies']<500){
no_rubies(500-$ku['rubies']);
$err=1;}
if(!isset($err)){


if (eregi('\.jpe?g$',$_FILES['file']['name']) && $imgc=@imagecreatefromjpeg($_FILES['file']['tmp_name']))
{
if (imagesx($imgc)>128 || imagesy($imgc)>160)
{
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=128; // ширина
$dstH=160; // высота 
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=128;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=160;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
@chmod("images/avatars/$ku[id].jpg",0777);
@chmod("images/avatars/$ku[id].gif",0777);
@chmod("images/avatars/$ku[id].png",0777);
@unlink("images/avatars/$ku[id].jpg");
@unlink("images/avatars/$ku[id].gif");
@unlink("images/avatars/$ku[id].png");
imagejpeg($screen,"images/avatars/$ku[id].jpg",100);
@chmod("images/avatars/$ku[id].jpg",0777);
imagedestroy($screen);}else{
copy($_FILES['file']['tmp_name'],"images/avatars/$ku[id].jpg");}}
elseif (eregi('\.gif$',$_FILES['file']['name']) && $imgc=@imagecreatefromgif($_FILES['file']['tmp_name']))
{
include_once 'inc/gif_resize.php';
$screen=gif_resize(fread ( fopen ($_FILES['file']['tmp_name'], "rb" ), filesize ($_FILES['file']['tmp_name']) ),128,160);
@chmod("images/avatars/$ku[id].jpg",0777);
@chmod("images/avatars/$ku[id].gif",0777);
@chmod("images/avatars/$ku[id].png",0777);
@unlink("images/avatars/$ku[id].jpg");
@unlink("images/avatars/$ku[id].gif");
@unlink("images/avatars/$ku[id].png");

file_put_contents("images/avatars/$ku[id].gif",$screen);
@chmod("images/avatars/$ku[id].gif",0777);}
elseif (eregi('\.png$',$_FILES['file']['name']) && $imgc=@imagecreatefrompng($_FILES['file']['tmp_name'])){
if(imagesx($imgc)>128 || imagesy($imgc)>160){
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y){
$dstW=128; // ширина
$dstH=160; // высота
}
elseif ($img_x>$img_y){
$prop=$img_x/$img_y;
$dstW=128;
$dstH=ceil($dstW/$prop);
}else{
$prop=$img_y/$img_x;
$dstH=160;
$dstW=ceil($dstH/$prop);}

$screen=ImageCreate($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);


@chmod("images/avatars/$ku[id].jpg",0777);
@chmod("images/avatars/$ku[id].gif",0777);
@chmod("images/avatars/$ku[id].png",0777);
@unlink("images/avatars/$ku[id].jpg");
@unlink("images/avatars/$ku[id].gif");
@unlink("images/avatars/$ku[id].png");
imagepng($screen,"images/avatars/$ku[id].png");
@chmod("images/avatars/$ku[id].png",0777);
imagedestroy($screen);
}else{

copy($_FILES['file']['tmp_name'],"images/avatars/$ku[id].png");}
}

$_SESSION['msg']='Фото отправлено на модерацию.';
mysql_query("UPDATE `kolhoz_user` SET `ava_file` = '1', `rubies` = '".($ku['rubies']-500)."' WHERE `id` = '$ku[id]'");
header("location:/?photo");}}
echo "<div class='event'><title>Фотография</title></div>";
echo '<div class="content"><div class="block">';

if($ku['ava_file']>0){
echo "Ваша текущая фотография:<br>Статус: ".($ku['ava_mod']>0?"<span style='color:green;'>Проверена</span>":"<span style='color:red;'>Не проверена</span>")."<br>";
if (is_file("images/avatars/$ku[id].gif"))echo "<img src='images/avatars/$ku[id].gif' alt='' />\n";
elseif (is_file("images/avatars/$ku[id].jpg"))echo "<img src='images/avatars/$ku[id].jpg' alt='' />\n";
elseif (is_file("images/avatars/$ku[id].png"))echo "<img src='images/avatars/$ku[id].png' alt='' />\n";

echo "<img src='/images/icons/delete.png'> <a href='?photo&del'>Удалить</a><br>";
echo "</div></div>";
echo'<div class="content">
<div class="block"> <a href="/settings"> Настройки </a> | <a href="/settings/passw">Сменить пароль</a> | <a href="/change_nickname">Сменить ник</a> | Сменить фото</div></div>';
} else {
echo "Выберите фото для загрузки: ";
echo "<form method=\"post\" enctype='multipart/form-data'>";
echo "<input type='file' name='file' /><br>";
echo "<span class='minor'>Можно загружать картинки форматов: GIF, JPG, PNG</span><br>";
echo "<span class='minor'>Качественное преобразование GIF-анимации не гарантируется</span><br>";
echo "<div class='pt'><span class='major'>Внимание!</span><br><span class='title'>Цена загрузки фото: <img src='/images/icons/ruby.png'> 500 рубинов. После того, как фотография пройдет проверку, она будет установлена в профиль. Если фотография нарушает <a href='/forum-1108'>требования</a>, она будет удалена, рубины не возвращаются!</span></div><br>";
echo "<input value='Загрузить' type='submit' name='ok' /><br></form>";
echo "</div></div></div></div>";
echo'<div class="content">
<div class="block"> <a href="/settings"> Настройки </a> | <a href="/settings/passw">Сменить пароль</a> | <a href="/change_nickname">Сменить ник</a> | Сменить фото</div></div>';

}

include_once 'inc/foot.php';
?>